Clear notifications
Marks all of the user’s notifications as read. They stay in the notification center.
Parameters
Send as application/x-www-form-urlencoded.
typestringrequiredSelects the operation. Always
clear_notificationsfor this endpoint.tokenstringrequiredYour API token from Log in. See Authentication.
curl https://api.dcdial.com/api/ \ -d type=clear_notifications \ -d token="$DCDIAL_TOKEN"<?php$ch = curl_init('https://api.dcdial.com/api/');curl_setopt_array($ch, [ CURLOPT_POST => true, CURLOPT_RETURNTRANSFER => true, CURLOPT_POSTFIELDS => http_build_query([ 'type' => 'clear_notifications', 'token' => getenv('DCDIAL_TOKEN'), ]),]);$result = json_decode(curl_exec($ch), true);curl_close($ch);
if (($result['response']['success'] ?? 0) != 1) { throw new RuntimeException($result['response']['error'] ?? 'Request failed');}const res = await fetch('https://api.dcdial.com/api/', { method: 'POST', body: new URLSearchParams({ type: "clear_notifications", token: process.env.DCDIAL_TOKEN, }),});const { response } = await res.json();if (response.success != 1) throw new Error(response.error);import osimport requests
r = requests.post( "https://api.dcdial.com/api/", data={ "type": "clear_notifications", "token": os.environ["DCDIAL_TOKEN"], }, timeout=30,)response = r.json()["response"]if str(response.get("success")) != "1": raise RuntimeError(response.get("error")){ "response": { "success": "1", "error": "" }}Try it